com.h3c.sdn.alert

## Enum AlertSortAttribute

- java.lang.Object
- - java.lang.Enum<AlertSortAttribute>
  - - com.h3c.sdn.alert.AlertSortAttribute

- All Implemented Interfaces:
    Serializable, Comparable<AlertSortAttribute>

      public enum AlertSortAttribute
      extends Enum<AlertSortAttribute>

  Defines the alert attributes which may be used for data sorting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ORIGIN` The origin of the alert.
    `SEVERITY` The severity associated with alert.
    `STATE` The state of the alert.
    `SYSTEM` The system that created the alert.
    `TIMESTAMP` The time stamp associated with alert.
    `TOPIC` The topic of the alert.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AlertSortAttribute` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AlertSortAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIMESTAMP

          public static final AlertSortAttribute TIMESTAMP

      The time stamp associated with alert.

    - #### SEVERITY

          public static final AlertSortAttribute SEVERITY

      The severity associated with alert.

    - #### STATE

          public static final AlertSortAttribute STATE

      The state of the alert.

    - #### TOPIC

          public static final AlertSortAttribute TOPIC

      The topic of the alert.

    - #### ORIGIN

          public static final AlertSortAttribute ORIGIN

      The origin of the alert.

    - #### SYSTEM

          public static final AlertSortAttribute SYSTEM

      The system that created the alert.

  - ### Method Detail

    - #### values

          public static AlertSortAttribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlertSortAttribute c : AlertSortAttribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlertSortAttribute valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.